[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Mass rebuild status with gcc-4.3.0-0.4 of rawhide-20071220



On Thu, Jan 03, 2008 at 01:36:00PM +0100, drago01 wrote:

> Two of my packages are in this category:
> http://sunsite.mff.cuni.cz/rawhide20071220-gcc43/unsorted/compiz-fusion-0.6.0-7.fc9.log
> and
> http://sunsite.mff.cuni.cz/rawhide20071220-gcc43/unsorted/compiz-fusion-extras-0.6.0-1.fc9.log
> both fail with
> "checking how to run the C++ preprocessor... /lib/cpp
> 
> configure: error: C++ preprocessor "/lib/cpp" fails sanity check
> See `config.log' for more details."

configure:6351: checking whether g++ accepts -g                                                                                  
configure:6381: g++ -c -g  conftest.cpp >&5                                                                                      
conftest.cpp:9:1: error: "VERSION" redefined                                                                                     
conftest.cpp:7:1: error: this is the location of the previous definition                                                         
configure:6387: $? = 1                                                                                                           
configure: failed program was:                                                                                                   
| /* confdefs.h.  */                                                                                                             
| #define PACKAGE_NAME "compiz-fusion-plugins-main"                                                                              
| #define PACKAGE_TARNAME "compiz-fusion-plugins-main"                                                                           
| #define PACKAGE_VERSION "0.6.0"                                                                                                
| #define PACKAGE_STRING "compiz-fusion-plugins-main 0.6.0"                                                                      
| #define PACKAGE_BUGREPORT "maniac opencompositing org"                                                                         
| #define VERSION ""                                                                                                             
| #define PACKAGE "compiz-fusion-plugins-main"                                                                                   
| #define VERSION "0.6.0"                                                                                                        
| #define STDC_HEADERS 1                                                                                                         
| #define HAVE_SYS_TYPES_H 1                                                                                                     
| #define HAVE_SYS_STAT_H 1                                                                                                      
| #define HAVE_STDLIB_H 1                                                                                                        
| #define HAVE_STRING_H 1                                                                                                        
| #define HAVE_MEMORY_H 1                                                                                                        
| #define HAVE_STRINGS_H 1                                                                                                       
| #define HAVE_INTTYPES_H 1                                                                                                      
| #define HAVE_STDINT_H 1                                                                                                        
| #define HAVE_UNISTD_H 1                                                                                                        
| #define HAVE_DLFCN_H 1                                                                                                         
| /* end confdefs.h.  */                                                                                                         
|                                                                                                                                
| int                                                                                                                            
| main ()                                                                                                                        
| {                                                                                                                              
|                                                                                                                                
|   ;                                                                                                                            
|   return 0;                                                                                                                    
| }                                                                                                                              
configure:6419: g++ -c   conftest.cpp >&5                                                                                        
conftest.cpp:9:1: error: "VERSION" redefined                                                                                     
conftest.cpp:7:1: error: this is the location of the previous definition

etc.  In C and with g++ <= 4.2 also C++ this yielded just warnings,
which configure ignored.  Now in C++ it is a hard error unless -fpermissive.
Better fix the configury not to define VERSION twice.

The same for the other package.

	Jakub


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]